• 如果您觉得本站非常有看点,那么赶紧使用Ctrl+D 收藏吧

标签:apache-karaf

apache-camel

Camel Websocket组件无法安装到Karaf中

Camel Websocket组件无法安装到Karaf中
我正在将Apache Karaf 4.0.4与Java Oracle 8结合使用,并尝试安装camel-websocket组件。我尝试通过以下方式安装版本2.16.0和2.16.2: feature:install camel-websocket …而Karaf挂死,再也不会回来。 作为一项工作,我尝试运行: sudo wget -O /op……继续阅读 »

apache-karaf

在OSGi bundle 包之间共享对象

在OSGi bundle 包之间共享对象
我在OSGi中部署了两个Apache Karaf包。 A和B。我的A OSGi捆绑包用作基本身份验证处理程序。我已经设置了我的安全处理程序,它可以正常工作: <bean id="securityHandler" class="org.eclipse.jetty.security.ConstraintSecurityHandler"> &l……继续阅读 »

apache-karaf

重定向到Java程序?

重定向到Java程序?
在一个项目中,我正在尝试为Apache Karaf建立一个自动构建系统(我需要在Karaf中运行几个命令才能在全新安装中设置工作环境)。 Karaf包含一个设置多个参数的批处理/脚本文件,然后调用实际的Java程序。本质上,我希望能够执行以下操作: java MyProgramClass.class < commandTextFile.txt 但是,……继续阅读 »

apache-karaf

带有Java 1.7的Apache Karaf

带有Java 1.7的Apache Karaf
我已经加入了一个使用Java 1.7的新项目。他们还使用Apache Karaf。 我的问题是Apache Karaf仅适用于Java 1.8+。该项目很旧,其他开发人员正在使用旧版本的Apache Karaf,该版本不再可用。 从Karaf开始的唯一前提条件是Java SE 8/9/10/11 运行环境。 题 看到我无法从Java 1.7升级,有人知道我……继续阅读 »